Yes, you were right. I deinstalled diablo and linked the jdk16 plugin with:

# ln -s /usr/local/jdk1.6.0/jre/plugin/i386/ns7/libjavaplugin_oji.so
/usr/local/lib/browser_plugins/

I didn't realize that diablo is just a build dependency for jdk16.

Thanks for the help.


On 5/13/08, Greg Lewis wrote:
> On Sun, May 11, 2008 at 03:22:59PM +0100, John Wright wrote:
> > Java is crashing firefox for me and I'm wondering if someone can
> > please help? Running firefox from Konsole shows this error for the
> > crash:
> >
> > diablo-jdk-1.5.0.07.01_10
> > jdk-1.6.0.3p4_1
> > javavmwrapper-2.3.2
> > firefox-2.0.0.14,1
> >
> > jello# uname -a
> > FreeBSD jello.hwresnet.org 7.0-RELEASE FreeBSD 7.0-RELEASE #0: Sun Feb 24
> > 19:59:52 UTC 2008

> root@logan.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC
> > i386
> >
> > jello# java -version
> > java version "1.5.0"
> > Java(TM) 2 Runtime Environment, Standard Edition (build diablo-1.5.0-b01)
> > Java HotSpot(TM) Server VM (build diablo-1.5.0_07-b01, mixed mode)
> >
> > Any help will definitely be appreciated.

>
> I bet the Diablo plugin is installed too. This won't work. You can't mix
> 7.x binaries (firefox) with 6.x shared libraries (Diablo). You need to
> deinstall Diablo and somehow get jdk16's plugin to (re)install, or just
> create a symlink yourself.
>
> --
> Greg Lewis Email : glewis@eyesbeyond.com
> Eyes Beyond Web : http://www.eyesbeyond.com
> Information Technology FreeBSD : glewis@FreeBSD.org
>



--
John N. Wright
jwright11@gmail.com
_______________________________________________
freebsd-java@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-java
To unsubscribe, send any mail to "freebsd-java-unsubscribe@freebsd.org"